// Copyright 2018 John Deng (hi.devops.io@gmail.com).
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Line 1: main package

// Package helloworld provides the quick start web application example
package main

// Line 2: import web starter from hiboot
import (
	"github.com/hidevopsio/hiboot/pkg/app/web"
)

// Controller Rest Controller with path /
// Line 3-5: RESTful Controller, derived from web.Controller. The context mapping of this controller is '/' by default
type Controller struct {
	web.Controller `path:"/"`
}

// Get GET /
// Line 6-8: Get method, the context mapping of this method is '/' by default
// the Method name Get means that the http request method is GET
func (c *Controller) Get() string {
	// response
	return "hello"
}

// Line 9-11: main function
func main() {
	// create new web application and run it
	web.NewApplication(new(Controller)).Run()
}
